import App from "./App";

// #ifndef VUE3
import Vue from "vue";
import api from "@/http/";
import common from "./common/index.js";
import "./uni.promisify.adaptor";
Vue.config.productionTip = false;
App.mpType = "app";
import uView from "./uview-ui";
Vue.use(uView);
import tmVuetify from "./tm-vuetify";
Vue.use(tmVuetify)
Vue.prototype.$api = api;
Vue.prototype.$common = common;
const app = new Vue({
  ...App,
});
app.$mount();
// #endif
// #ifdef VUE3
import { createSSRApp } from "vue";
export function createApp() {
  const app = createSSRApp(App);
  return {
    app,
  };
}
// #endif
